classification
Title: test_compileall test getting failed on 3.4 RC
Type: Stage: resolved
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: AapoRantalainen, r.david.murray, vipulb, vstinner
Priority: normal Keywords:

Created on 2014-02-24 13:06 by vipulb, last changed 2018-07-02 12:26 by vstinner. This issue is now closed.

Messages (4)
msg212091 - (view) Author: Vipul Borikar (vipulb) Date: 2014-02-24 13:06
Hi,
    I getting python trace when running test_compileall test case 

OS:
 
$ uname -a
Linux vipul-desktop 3.8.13.8 #1 SMP Thu Oct 3 17:54:03 IST 2013 x86_64 x86_64 x86_64 GNU/Linux


Python Version:
 
$ ./bin/python3 -V
Python 3.4.0rc2


Output and Error:

$ ./bin/python3 -m test -v test_compileall
== CPython 3.4.0rc2 (default, Feb 24 2014, 16:28:23) [GCC 4.7.3]
==   Linux-3.8.13.8-x86_64-with-debian-wheezy-sid little-endian
==   hash algorithm: siphash24 64bit
==   /tmp/test_python_6884
Testing with flags: sys.flags(debug=0, inspect=0, interactive=0, optimize=0, dont_write_bytecode=0, no_user_site=0, no_site=0, ignore_environment=0, verbose=0, bytes_warning=0, quiet=0, hash_randomization=1, isolated=0)
[1/1] test_compileall
test_compiles_as_much_as_possible (test.test_compileall.CommandLineTests) ... ok
test_d_compile_error (test.test_compileall.CommandLineTests) ... ok
test_d_runtime_error (test.test_compileall.CommandLineTests) ... ok
test_d_takes_exactly_one_dir (test.test_compileall.CommandLineTests) ... ok
test_force (test.test_compileall.CommandLineTests) ... ok
test_include_bad_file (test.test_compileall.CommandLineTests) ... ok
test_include_file_no_arg (test.test_compileall.CommandLineTests) ... ok
test_include_file_with_arg (test.test_compileall.CommandLineTests) ... ok
test_include_on_stdin (test.test_compileall.CommandLineTests) ... ok
test_invalid_arg_produces_message (test.test_compileall.CommandLineTests) ... ok
test_legacy_paths (test.test_compileall.CommandLineTests) ... ok
test_multiple_dirs (test.test_compileall.CommandLineTests) ... ok
test_multiple_runs (test.test_compileall.CommandLineTests) ... ok
test_no_args_compiles_path (test.test_compileall.CommandLineTests) ... ok
test_no_args_respects_force_flag (test.test_compileall.CommandLineTests) ... FAIL
test_no_args_respects_quiet_flag (test.test_compileall.CommandLineTests) ... ok
test_pep3147_paths_doubleoptimize (test.test_compileall.CommandLineTests) ... ok
test_pep3147_paths_normal (test.test_compileall.CommandLineTests) ... ok
test_pep3147_paths_optimize (test.test_compileall.CommandLineTests) ... ok
test_quiet (test.test_compileall.CommandLineTests) ... ok
test_recursion_control (test.test_compileall.CommandLineTests) ... ok
test_regexp (test.test_compileall.CommandLineTests) ... ok
test_compile_files (test.test_compileall.CompileallTests) ... ok
test_magic_number (test.test_compileall.CompileallTests) ... ok
test_mtime (test.test_compileall.CompileallTests) ... ok
test_no_pycache_in_non_package (test.test_compileall.CompileallTests) ... ok
test_optimize (test.test_compileall.CompileallTests) ... ok
test_error (test.test_compileall.EncodingTest) ... ok

======================================================================
FAIL: test_no_args_respects_force_flag (test.test_compileall.CommandLineTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/opt/Python3.4/lib/python3.4/test/test_compileall.py", line 194, in test_no_args_respects_force_flag
    self.assertRunOK('-f', PYTHONPATH=self.directory)
  File "/opt/Python3.4/lib/python3.4/test/test_compileall.py", line 144, in assertRunOK
    *self._get_run_args(args), **env_vars)
  File "/opt/Python3.4/lib/python3.4/test/script_helper.py", line 69, in assert_python_ok
    return _assert_python(True, *args, **env_vars)
  File "/opt/Python3.4/lib/python3.4/test/script_helper.py", line 55, in _assert_python
    "stderr follows:\n%s" % (rc, err.decode('ascii', 'ignore')))
AssertionError: Process return code is 1, stderr follows:


----------------------------------------------------------------------
Ran 28 tests in 1.791s

FAILED (failures=1)
test test_compileall failed
1 test failed:
    test_compileall
msg212092 - (view) Author: Vipul Borikar (vipulb) Date: 2014-02-24 13:08
Linux Distribution: Ubuntu 13.04
msg216912 - (view) Author: Aapo Rantalainen (AapoRantalainen) Date: 2014-04-20 18:23
I got exactly same trace with Python-3.4.0.

== CPython 3.4.0 (default, Apr 19 2014, 16:37:49) [GCC 4.2.1]
==   Linux-2.6.28.10-power52-armv7l-with-debian-testing-unstable little-endian



Btw: My test-directory is writable. (This seems to be duplicate, but is explicitly mentioning non-writable directory: http://bugs.python.org/issue21264 )
msg320878 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-07-02 12:26
This issue is 4 years old and has not been seen recently on Linux. Sadly, the issue doesn't contain enough information to fix the bug, so I close it. If you see again the bug on Linux, please open a new issue (and maybe add a reference to this old bug).
History
Date User Action Args
2018-07-02 12:26:20vstinnersetstatus: open -> closed

nosy: + vstinner
messages: + msg320878

resolution: out of date
stage: resolved
2014-04-20 18:23:18AapoRantalainensetnosy: + AapoRantalainen
messages: + msg216912
2014-02-24 21:57:35ned.deilysetnosy: + r.david.murray
type: crash ->
2014-02-24 13:08:02vipulbsetmessages: + msg212092
2014-02-24 13:06:34vipulbcreate